#!/usr/bin/env python3

# This is an example of a simple script that you can use to 
# build other more complex scripts that do complex tasks

import time

# Specify the mode, either 'wifi' or 'usb'
mode = 'wifi'

# This applies when you are over WiFi
HOST_WIFI = '192.168.1.1'
PORT_WIFI = '9997'

# And these when you are over USB
#HOST_USB = ''
#PORT_USB = '/dev/ttyACM0' # Some boards require /dev/ttyACM0

# Do not change anything below that line
import sys
import time
import os
sys.path.append(os.getcwd())

import lx200.onstep as onstep

# Create a scope object
if mode == 'wifi':
  HOST = HOST_WIFI
  PORT = PORT_WIFI
else:
  HOST = HOST_USB
  PORT = PORT_USB
  
scope = onstep.onstep(host = HOST, port = PORT)

# Execute commands
for cmd in ('\006',':GR#','\006',':Gc#',':GM#',':GT#',':Gt#',':Gg#',':GG#',':GL#',':GC#',':GVD#',':GVT#',':GVN#',':GVP#',':FA#',':fA#',':F1A#',':F2A#',':F3A#',':F4A#',':F5A#',':F6A#',':F7A#',':F8A#',':F9A#',':rG#',':GXY0#',':GXY1#',':GXY2#',':GXY3#',':GXY4#',':GXY5#',':GXY6#',':GXY7#',':SG-01#',':SL13:09:52#',':SC11/16/21#',':Sg352:21:9.00#',':St+48:13:29.00#',':GR#',':GD#',':GU#',':GR#','\006',':GM#',':GT#',':GtH#',':GgH#',':GG#',':GL#',':GC#',':GVD#',':GVT#',':GVN#',':GVP#',':FA#',':fA#',':F1A#',':F2A#',':F3A#',':F4A#',':F5A#',':F6A#',':F7A#',':F8A#',':F9A#',':rG#',':GXY0#',':GXY1#',':GXY2#',':GXY3#',':GXY4#',':GXY5#',':GXY6#',':GXY7#',':GR#','\006',':GM#',':GT#',':GtH#',':GgH#',':GG#',':GL#',':GC#',':GVD#',':GVT#',':GVN#',':GVP#',':FA#',':fA#',':F1A#',':F2A#',':F3A#',':F4A#',':F5A#',':F6A#',':F7A#',':F8A#',':F9A#',':rG#',':GXY0#',':GXY1#',':GXY2#',':GXY3#',':GXY4#',':GXY5#',':GXY6#',':GXY7#',':%BD#',':%BR#',':GX90#',':GX95#',':GX96#',':GXE9#',':GXEA#',':GX9A#',':GX9C#',':GX9B#',':GX9E#',':GX9F#',':GXU1#',':GXU2#',':A?#',':GX02#',':GX03#',':GR#',':GD#',':GU#',':%BD#',':%BR#',':GX90#',':GX95#',':GX96#',':GXE9#',':GXEA#',':GX9A#',':GX9C#',':GX9B#',':GX9E#',':GXU1#',':GXU2#',':A?#',':GX02#',':GX03#',':GR#',':GD#',':GU#',':%BD#',':%BR#',':GX90#',':GX95#',':GX96#',':GXE9#',':GXEA#',':GX9A#',':GX9C#',':GX9B#',':GX9E#',':GXU1#',':GXU2#',':A?#',':GX02#',':GX03#'):
#for cmd in ('\006',':GR#',':Gc#',':GM#',':GT#',':Gt#',':Gg#',':GG#',':GL#'):
  start = time.time()
  r = scope.send_str(cmd)
  end = time.time()
  #print('%2.3f %s %s' % (end - start,cmd, r))
  print('%2.3f %s %s' % (end - start,cmd, r))
  time.sleep(0.01)
